Skip to main content
`Ctrl`+`K`

# TSAdaptSetClip

Sets the admissible decrease/increase factor in step size in the time step adapter

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptSetClip(TSAdapt adapt, PetscReal low, PetscReal high)

Logically collective

## Input Parameters

- adapt - adaptive controller context

- low - admissible decrease factor

- high - admissible increase factor

## Options Database Key

- -ts_adapt_clip <low>,<high> - to set admissible time step decrease and increase factors

## Note

Use `PETSC_CURRENT` to keep the current value for either parameter

## Fortran Note

Use `PETSC_CURRENT_REAL`

## See Also

TS: Scalable ODE and DAE Solvers, Error control via variable time-stepping, `TSAdapt`, `TSAdaptChoose()`, `TSAdaptGetClip()`, `TSAdaptSetScaleSolveFailed()`

## Level

intermediate

## Location

src/ts/adapt/interface/tsadapt.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages